Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)
Subject: Trigger loading indicator if we know a page load will happen (f.e. when pressing "apply")
Description

Associated revisions
Revision b0cf60e9 - 2012-09-13 11:20 - Sebastian Kurfuerst

[BUGFIX] Show page loader if we know that a page load will happen

Example: When moving a content element inside the Inspector, we save the
change to the server and then reload the page (and display a loading indicator).

With this change, we show the loading indicator before the saving happens,
leading to better perceived responsiveness of the UI to the user.

Resolves: #40887
Change-Id: I88ab555163b3548ce14e488d6cd88ca65e420fd8

History
#1 - 2012-09-13 11:06 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2012-09-13 11:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14578

#3 - 2012-09-13 11:21 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#4 - 2012-09-13 14:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b0cf60e98bd3280f4ba66e10fba2b61177817236.

#5 - 2012-10-04 13:52 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
